/home/techb158/.nvm/test/fast/Set Colors
NameSizeModeActions
nvm_echo_with_colors3420775editdlrm
nvm_err_with_colors3310775editdlrm
nvm_print_default_alias calls nvm_get_colors5810775editdlrm
nvm_print_versions calls nvm_get_colors10910775editdlrm
Edit: /home/techb158/.nvm/test/fast/Set Colors/nvm_echo_with_colors (342B)
#!/bin/sh set -ex die () { echo "Expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<" exit 1 } cleanup() { echo "Tested nvm_echo_with_colors" } \. ../../../nvm.sh OUTPUT="$(nvm_echo_with_colors "\033[0;36mCyan-colored text")" EXPECTED_OUTPUT=$(printf "\033[0;36mCyan-colored text") [ "_$OUTPUT" = "_$EXPECTED_OUTPUT" ] || die cleanup